#!/bin/bash

LIMITE_TEMPS=10
INTERVALLE=1

echo
echo "Appuyez sur Control-C pour sortir avant $LIMITE_TEMPS secondes."
echo

while [ "$SECONDS" -le "$LIMITE_TEMPS" ]
do
  if [ "$SECONDS" -eq 1 ]
  then
    unites=seconde
  else  
    unites=secondes
  fi

  echo "Ce script tourne depuis $SECONDS $unites."
  #  Sur une machine lente, le script peut laisser échapper quelquefois
  #+ un élément du comptage dans la boucle while.
  sleep $INTERVALLE
done

echo -e "\a"  # Beep!

exit 0
